Bug 167336 - Virtual desktop when incomplete DDC information is received.
Virtual desktop when incomplete DDC information is received.
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Brian Brock
Depends On:
Blocks: RHEL3U8CanFix
  Show dependency treegraph
Reported: 2005-09-01 13:44 EDT by Rod Macdonald
Modified: 2008-08-02 19:40 EDT (History)
12 users (show)

See Also:
Fixed In Version: RHBA-2006-0410
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-20 11:23:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XF86Config file from problem system. (3.22 KB, text/plain)
2005-09-01 13:44 EDT, Rod Macdonald
no flags Details
Patch for XF86 window panning problem (4.90 KB, patch)
2006-05-03 16:49 EDT, Rod Macdonald
no flags Details | Diff

  None (edit)
Description Rod Macdonald 2005-09-01 13:44:23 EDT
Description of problem:

This video problem was discovered by Dell and will be followed by an Issue 

When RHEL3 U0 or U5 is installed video will show as virtual desktop for modes 
above 640x480.  The 1024x768 desktop is displayed via a 640x480 window which 
can be "panned" up, down, left, right.  This occurs when:

1. Video is provided via a Dell DRAC4 add in card using a Redeon 7000.
2. A monitor is attached which does not provide an EDID.

The panning occurs in spite of adequate values for Horizontal and Vertical 
frequencies as shown in the /etc/X11/XF86Config file (attached).

ATI will solve this problem and will provide an updated .rpm to Dell for RHEL3 
U0.  This bugzilla must remain open to facilitate the Dell Issue tracker 
(still coming) and the eventual repair of this problem upstream in RHEL3 U7 .
Comment 1 Rod Macdonald 2005-09-01 13:44:23 EDT
Created attachment 118359 [details]
XF86Config file from problem system.
Comment 2 Larry Troan 2005-09-01 15:25:24 EDT
Per phone call this morning between ATI, Dell and RH, this is a desktop problem. 

Changing component to XFree86 and assigning Kevin Martin. Kevin and Bill
Nottingham were on the call along with Sammyy Benjamin and I this morning. 

Dell has agreed to open an Issue Tracker for tracking and priority purposes. 
Comment 4 Larry Troan 2005-09-01 16:28:30 EDT
I believe the monitor in this morning's call was described as "an old NEC
monitor". Yet the attached "XF86Config file" reports the monitor as a Dell P990
which I believe is a Sony Trinitron. 

Rod (ATI), could you provide the specific monitor type that created the problem.
Since the problem occurred with or without a KVM box, it appears the box  is 
irrelevent to the problem encountered. 
Comment 12 Larry Troan 2006-04-13 08:58:39 EDT
Engineering says: 
If ATI provides the patch they created to fix this problem, then devel [RH
Engineering] can review it and ACK as appropriate.

Comment 13 Mike A. Harris 2006-05-02 06:30:45 EDT
If there is a patch for this issue, please attach it to the bug so it can
be reviewed by Red Hat for consideration.
Comment 14 Rod Macdonald 2006-05-03 16:42:25 EDT
Mike, the patch in question has been applied successfuly to SLES 9 SP2 as 
described here:  https://bugzilla.novell.com/show_bug.cgi?id=151621

Also this patch is shown to work as part of our driver rpm built specifically 
for Dell.

I will attach the patch shortly.
Comment 15 Rod Macdonald 2006-05-03 16:49:24 EDT
Created attachment 128567 [details]
Patch for XF86 window panning problem
Comment 28 Red Hat Bugzilla 2006-07-20 11:23:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.